MANDB(8)

NAZWA
mandb - tworzy lub aktualizuje bufory indeksowe stron podręcznika ekranowego

SKŁADNIA
mandb [-dqsucp|-h|-V] [-C plik] [manpath]
mandb [-dqsu] [-C plik] -f nazwa_pliku ...

OPIS
mandb służy do inicjowania lub ręcznej aktualizacji indeksowych buforów baz danych (index database caches), zwykle obsługiwanych przez man. Bufory zawierają informację związaną z aktualnym stanem systemu stron man. Informacja w nich przechowywana używana jest przez narzędzia man-db do poprawy ich szybkości i funkcjonalności działania. Podczas tworzenia bądź aktualizacji indeksu, mandb ostrzega o złych żądaniach .so ROFF, niepoprawnych nazwach plików stron podręcznika oraz stronach, z których nie można utworzyć zapisu dla whatis. Wywołanie mandb z opcjonalną ścieżką rozdzielonych dwukropkami hierarchii katalogów unieważni wewnętrzną globalną ścieżkę przeszukiwań, określaną na podstawie informacji znalezionej w pliku konfiguracyjnym man-db.

BUFORY BAZY DANYCH
mandb może zostać skompilowane z obsługą jednego z następujących typów baz.
Nazwa | Typ | Async | Nazwa pliku
Berkeley db | Binary tree | Tak | index.bt
GNU gdbm v >= 1.6 | Hashed | Tak | index.db
GNU gdbm v < 1.6 | Hashed | Nie | index.db
UNIX ndbm | Hashed | Nie | index.(dir|pag)
Typy baz danych obsługujące aktualizacje asynchroniczne zapewniają lepszą szybkość kosztem możliwego uszkodzenia w przypadku nienormalnego przerwania pracy. W niezbyt częstym przypadku takiego przerwania, może być niezbędne ponowne uruchomienie mandb z opcją -c do odbudowania bazy danych od zera.

OPCJE

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-q, --quiet
    Nie generuje ostrzeżeń.

-s, --no-straycats
    Nie traci czasu na poszukiwanie lub dodawanie do bazy informacji dotyczącej zabłąkanych stron cat. [tłum: stray cats - również "zabłąkane koty" :)].

-p, --no-purge
    Nie traci czasu na poszukiwanie usuniętych stron podręcznika i usuwanie ich z bazy danych.

-c, --create
    Domyślnie mandb próbuje zaktualizować uprzednio utworzone bazy. Jeśli baza nie istnieje, to ją utworzy. Niniejsza opcja wymusza na mandb usunięcie poprzednich baz i utworzenie ich od zera, włącza też automatycznie opcję --no-purge. Może to być niezbędne, jeśli baza została uszkodzona lub jeśli wprowadza się nowy układ przechowywania baz.

-u, --user-db
    Twórz wyłącznie bazy danych użytkownika, nawet przy prawach zapisu niezbędnych do utworzenia baz systemowych.

-t, --test
    Sprawdza poprawność stron podręcznika znajdujących się w ścieżce poszukiwań. Jeżeli podano tę opcję, to mandb w żaden sposób nie zmieni istniejącej bazy danych.

-f, --filename
    Aktualizuje tylko wpisy dotyczące danego pliku. Nie jest to opcja przeznaczona dla ogółu, jest używana wewnętrznie przez man, jeżeli został skompilowany z włączoną opcją MAN_DB_UPDATES, a podana strona podręcznika jest przestarzała. Włącza -p i deaktywuje -c i -s.

-C plik, --config-file=plik
    Używa podanego pliku konfiguracyjnego użytkownika zamiast domyślnego ~/.manpath.

-h, --help
    Wyświetla komunikaty o zastosowaniu i kończy pracę.

-V, --version
    Wyświetla numer wersji i kończy pracę.

KOD ZAKOŃCZENIA

0   Program zakończony bez żadnych błędów.

1   Błąd użycia, składni lub w pliku konfiguracyjnym.

2   Błąd działania.

3   Błąd działania procesu potomnego.

DIAGNOSTYKA
Podczas tworzenia bazy danych mogą być wyświetlane następujące ostrzeżenia:

<plik>: przetwarzanie whatis strona(sekcja) się nie powiodło
    Nie udała się próba uzyskania wiersza(y) whatis z zadanego <pliku>. Zwykle jest to spowodowane przez kiepsko napisaną stronę man, ale jeśli wyświetlanych jest wiele takich komunikatów, to prawdopodobnie system zawiera niestandardowe strony man, niezgodne z analizatorem składni whatis wbudowanym w man-db. Więcej informacji można znaleźć w sekcji PRZETWARZANIE WHATIS na stronie lexgrog(1).

<plik>: jest wiszącym dowiązaniem symbolicznym
    <plik> o podanej nazwie nie istnieje, ale jest wskazywany przez dowiązanie symboliczne (symbolic link). Zwykle generowane jest dodatkowa informacja diagnostyczna dla identyfikacji <pliku> z błędnego dowiązania.

<plik>: złe dowiązanie symboliczne lub błędne żądanie "so" ROFF
    <plik> jest albo dowiązaniem symbolicznym do nieistniejącego pliku, albo zawiera żądanie włączenia ROFF (include) nieistniejącego pliku.

<plik>: ignorowanie niepoprawnej nazwy pliku
    <plik> być może być lub nie być poprawną stroną man, ale jego nazwa jest niepoprawna. Spowodowane zwykle przez stronę man z rozszerzeniem sekcji <x> umieszczoną w sekcji stron <y>.

<maska_pliku>: konkurujące rozszerzenia
    Wzorzec nazwy <maska_pliku> nie daje unikatowego wyniku. Zwykle spowodowane istnieniem zarówno skompresowanej jak i nieskompresowanej wersji tej samej strony man. Ignorowane są wszystkie oprócz najnowszej.

PLIKI

/etc/manpath.config
    Plik konfiguracyjny man-db.

/usr/man/index.(bt|db|dir|pag)
    Tradycyjny globalny indeks bazy danych.

/var/catman/index.(bt|db|dir|pag)
    Alternatywny lub zgodny z FSSTND globalny indeks bazy danych.

/var/cache/man/index.(bt|db|dir|pag)
    Zgodny z FHS globalny indeks bazy danych.

ZOBACZ TAKŻE
man(1), lexgrog(1), manpath(5), catman(8).

Sekcja PRZETWARZANIE WHATIS, będąca poprzednio w tej stronie podręcznika, została przeniesiona do lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.